> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete log export configuration

> Stops exporting a function's logs and removes its destination configuration. Idempotent: deleting when nothing is configured succeeds.



## OpenAPI

````yaml /openapi/source/external/edge-compute/functions-observability.json delete /compute/funcs/{id}/logs/export
openapi: 3.1.0
info:
  title: Edge Compute Function Observability API
  description: >-
    Customer-facing Edge Compute function logs, metrics, deployment history, and
    ship inspection.
  version: '1.0'
  x-latency-category: responsive
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /compute/funcs/{id}/logs/export:
    delete:
      tags:
        - functions
      summary: Delete log export configuration
      description: >-
        Stops exporting a function's logs and removes its destination
        configuration. Idempotent: deleting when nothing is configured succeeds.
      operationId: DeleteComputeFunctionLogExport
      parameters:
        - name: id
          in: path
          required: true
          description: Function ID
          schema:
            type: string
      responses:
        '204':
          description: >-
            Log export configuration deleted, or none was configured
            (idempotent). No content is returned.
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                error:
                  value:
                    errors:
                      - code: '10020'
                        title: Unprocessable entity
                        detail: Request could not be processed.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                error:
                  value:
                    errors:
                      - code: '10001'
                        title: Unauthorized
                        detail: Invalid or missing API key.
        '404':
          description: Function not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                error:
                  value:
                    errors:
                      - code: '10005'
                        title: Resource not found
                        detail: The requested resource or URL could not be found.
        '422':
          description: Invalid function ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                error:
                  value:
                    errors:
                      - code: '10020'
                        title: Unprocessable entity
                        detail: Request could not be processed.
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
              examples:
                error:
                  value:
                    errors:
                      - code: '10010'
                        title: Internal server error
                        detail: An unexpected error occurred.
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            await client.compute.funcs.export.deleteAll('id');
        - lang: Python
          source: |
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.compute.funcs.export.delete_all(
                "id",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.Compute.Funcs.Export.DeleteAll(\n\t\tcontext.TODO(),\n\t\t\"id\",\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    client.compute().funcs().export().deleteAll("id");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.compute.funcs.export.delete_all("id")

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->compute->funcs->export->deleteAll(
                'id',
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx compute:funcs:export delete-all \
              --api-key 'My API Key' \
              --id id
components:
  schemas:
    Errors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
    Error:
      type: object
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````